org.apache.catalina.core

## Class ApplicationSessionCookieConfig

- java.lang.Object
- - org.apache.catalina.core.ApplicationSessionCookieConfig

All Implemented Interfaces:
  SessionCookieConfig

    public class ApplicationSessionCookieConfig
    extends Object
    implements SessionCookieConfig

### Constructor Summary

Constructors
Constructor and Description
`ApplicationSessionCookieConfig(StandardContext context)`

### Method Summary

Methods
`static Cookie` `createSessionCookie(Context context, String sessionId, boolean secure)` Creates a new session cookie for the given session ID
`String` `getComment()`
`String` `getDomain()`
`int` `getMaxAge()`
`String` `getName()`
`String` `getPath()`
`static String` `getSessionCookieName(Context context)` Deprecated. Replaced by `SessionConfig.getSessionCookieName(Context)`. This will be removed in Tomcat 8.0.x.
`static String` `getSessionUriParamName(Context context)` Deprecated. Replaced by `SessionConfig.getSessionUriParamName(Context)`. This will be removed in Tomcat 8.0.x.
`boolean` `isHttpOnly()`
`boolean` `isSecure()`
`void` `setComment(String comment)`
`void` `setDomain(String domain)`
`void` `setHttpOnly(boolean httpOnly)`
`void` `setMaxAge(int maxAge)` Sets the maximum age.
`void` `setName(String name)`
`void` `setPath(String path)`
`void` `setSecure(boolean secure)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ApplicationSessionCookieConfig

    public ApplicationSessionCookieConfig(StandardContext context)

### Method Detail

#### getComment

    public String getComment()

Specified by:
  `getComment` in interface `SessionCookieConfig`

#### getDomain

    public String getDomain()

Specified by:
  `getDomain` in interface `SessionCookieConfig`

#### getMaxAge

    public int getMaxAge()

Specified by:
  `getMaxAge` in interface `SessionCookieConfig`

#### getName

    public String getName()

Specified by:
  `getName` in interface `SessionCookieConfig`

#### getPath

    public String getPath()

Specified by:
  `getPath` in interface `SessionCookieConfig`

#### isHttpOnly

    public boolean isHttpOnly()

Specified by:
  `isHttpOnly` in interface `SessionCookieConfig`

#### isSecure

    public boolean isSecure()

Specified by:
  `isSecure` in interface `SessionCookieConfig`

#### setComment

    public void setComment(String comment)

Specified by:
  `setComment` in interface `SessionCookieConfig`

#### setDomain

    public void setDomain(String domain)

Specified by:
  `setDomain` in interface `SessionCookieConfig`

#### setHttpOnly

    public void setHttpOnly(boolean httpOnly)

Specified by:
  `setHttpOnly` in interface `SessionCookieConfig`

#### setMaxAge

    public void setMaxAge(int maxAge)

Description copied from interface: `javax.servlet.SessionCookieConfig`
Sets the maximum age.

Specified by:
  `setMaxAge` in interface `SessionCookieConfig`
Parameters:
  `maxAge` - the maximum age to set

#### setName

    public void setName(String name)

Specified by:
  `setName` in interface `SessionCookieConfig`

#### setPath

    public void setPath(String path)

Specified by:
  `setPath` in interface `SessionCookieConfig`

#### setSecure

    public void setSecure(boolean secure)

Specified by:
  `setSecure` in interface `SessionCookieConfig`

#### createSessionCookie

    public static Cookie createSessionCookie(Context context,
                             String sessionId,
                             boolean secure)

Creates a new session cookie for the given session ID

Parameters:
  `context` - The Context for the web application
  `sessionId` - The ID of the session for which the cookie will be created
  `secure` - Should session cookie be configured as secure

#### getSessionCookieName

    @Deprecated
    public static String getSessionCookieName(Context context)

Deprecated. Replaced by `SessionConfig.getSessionCookieName(Context)`. This will be removed in Tomcat 8.0.x.
Determine the name to use for the session cookie for the provided context.

Parameters:
  `context` -

#### getSessionUriParamName

    @Deprecated
    public static String getSessionUriParamName(Context context)

Deprecated. Replaced by `SessionConfig.getSessionUriParamName(Context)`. This will be removed in Tomcat 8.0.x.
Determine the name to use for the session cookie for the provided context.

Parameters:
  `context` -